/**
 * @file
 * This file is to hack and fix vendor framework's style through overrides
 * Gang Wu / Darkchain
 */

/* Drupal 7 */
/* fix drupal form work with bootstrap input group */
.input-group .form-text {margin-top: unset;}
/* fix webform work with bootstrap input group */
.input-group .input-group-append, .input-group .input-group-prepend {display: -webkit-box; display: -ms-flexbox; display: flex;}
/* fix bootstrap reboot a:hover default blue color */
a:hover {color: unset; text-decoration: unset; opacity: 0.8;}

/* use bootstrap form input group with drupal form element, need theme function to modify element label html */
span.input-group-text {white-space: unset; align-items: start; border-bottom-right-radius: 0; border-top-right-radius: 0;}
#header span.input-group-text {width: 7rem;}


/* Bootstrap theme tab-focus */
a:focus, a:hover { color: inherit }
.placeholder {background-color: inherit;}

/* fix four_three_adaptive layout */
.unit div.inside {margin: 0;}

/* fix panels layout twocol_stacked.css */
.panel-2col-stacked .panel-col-top .inside,
.panel-2col-stacked .panel-col-first .inside,
.panel-2col-stacked .panel-col-last .inside {margin-bottom: 0;}

/* superfish space theme */
.sf-menu.sf-style-space li, .sf-menu.sf-style-space li li, .sf-menu.sf-style-space li li li, .sf-menu.sf-style-space.sf-navbar {
  background: #0d6efd73; margin-right: -1px; margin-bottom: -1px; min-width: 140px;
}
.sf-menu.sf-style-space li:hover, .sf-menu.sf-style-space li.sfHover, .sf-menu.sf-style-space a:focus, .sf-menu.sf-style-space a:hover, .sf-menu.sf-style-space a:active, .sf-menu.sf-style-space span.nolink:hover, .sf-menu.sf-style-space.sf-navbar li li {
  background: #ffc10757;
}
.sf-menu.sf-style-space a, .sf-menu.sf-style-space span.nolink {
  border-color: #21252952;
}

/* hack tb-megamenu color theme: transparent no border */
.tb-megamenu {background-color: transparent !important; background-image: none !important;}
.tb-megamenu .nav > li > a {background: none !important; color: silver !important;}

